import {HTTPKernelModule} from "../HTTPKernelModule";
import {Request} from "../../lifecycle/Request";
import {HTTPKernel} from "../HTTPKernel";

export class PrepareRequestHTTPModule extends HTTPKernelModule {
    public static register(kernel: HTTPKernel) {
        kernel.register(this).first()
    }

    public async apply(request: Request) {
        await request.prepare()
        return request
    }
}
